Subject: bug#33673: "guix system --help" does not detail how to use --on-error=strategy

From: [email-masked]
Date: Sat, 08 Dec 2018 00:30:54 -0800

Hi

The current output is:

--on-error=STRATEGY    apply STRATEGY when an error occurs while reading
FILE

Also the manual currently lacks a cindex for on-error (I had to search
with 's' through multiple false positives to find the relevant section)

Additionally we now have so many commands in the help pages of guix
system and guix build that it would be nice to present them in a more
readable/categorized way.

Would a patches for improvement in these areas be accepted?

-- 
Cheers 
Swedebugia

-------- Original Message --------
Subject: Re: error: rmdir: Device or resource busy
Date: 2018-12-08 09:24
From: [email-masked]
To: Fredrik Salomonsson <[email-masked]>
Cc: help-guix <[email-masked]>, Help-Guix
<help-guix-bounces+swedebugia=[email-masked]>

Hej!

On 2018-12-08 09:05, Fredrik Salomonsson wrote:
> Hello,
> 
> tried installing GuixSD 0.16. But hitting a cryptic error.
> 
> guix system init /mnt/etc/config.scm /mnt
> --substitute-urls="http://berlin.guixsd.org http://mirror.hydra.gnu.org"
> ...
> /gnu/store/sh9x3mhl5q60yxhl861kpk6vm70l3w81-bootloader-installer
> 
> initializing operating system under '/mnt'...
> guix system: error: rmdir: Device or resource busy
> 
> This was working fine with 0.15.
> 
> Is there a way to get a better backtrace from system init? 

Yes!

>From the manual: 
'--on-error=STRATEGY'
     Apply STRATEGY when an error occurs when reading FILE.  STRATEGY
     may be one of the following:

     'nothing-special'
          Report the error concisely and exit.  This is the default
          strategy.

     'backtrace'
          Likewise, but also display a backtrace.

     'debug'
          Report the error and enter Guile's debugger.  From there, you
          can run commands such as ',bt' to get a backtrace, ',locals'
          to display local variable values, and more generally inspect
          the state of the program.  *Note (guile)Debug Commands::, for
          a list of available debugging commands.

Actually the --help to "guix system" hints about this but it is not
telling how to use it, which is a bug I think. (i'm going to report it
and send a patch)

> Or does anyone
> know what the error might be?

I never saw it before.